---
require: rubocop-rspec

inherit_from: .rubocop_todo.yml

Metrics/BlockLength:
  Enabled: true
  Exclude:
    - 'spec/**/*'
    - 'chemlab.gemspec'

Metrics/ModuleLength:
  Enabled: true
  Exclude:
    - 'spec/**/*'

Layout/FirstArrayElementIndentation:
  Enabled: false

AllCops:
  NewCops: enable
  Exclude:
    - 'lib/chemlab/stubber.rb'

Metrics/MethodLength:
  Enabled: false

# === stub specific

Layout/EmptyLinesAroundModuleBody:
  Enabled: true
  AutoCorrect: true
  Include:
    - 'spec/integration/**/*.stub.rb'

Layout/EmptyLines:
  Enabled: true
  AutoCorrect: true
  Include:
    - 'spec/integration/**/*.stub.rb'

Layout/EmptyLineBetweenDefs:
  Enabled: true
  AutoCorrect: true
  Include:
    - 'spec/integration/**/*.stub.rb'

Layout/TrailingEmptyLines:
  Enabled: true
  AutoCorrect: true
  Include:
    - 'spec/integration/**/*.stub.rb'

RSpec/ExampleLength:
  Enabled: true
  Exclude:
    - 'spec/integration/**/*.rb'

# ===
